﻿
using System.IO;
using System.Reflection;
using ResourceReportBuilder.Common;
namespace ResourceReportBuilder.Controls.Gecko
{
    public class Gecko : Skybound.Gecko.GeckoWebBrowser
    {
        public Gecko()
            : base()
        {
            SetupXulRunner();
            //base.Reload(GeckoLoadFlags.)
        }

        private void SetupXulRunner()
        {
            #region xulrunner 1.9 resources
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.dependentlibs.list", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.freebl3.chk", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.freebl3.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.IA2Marshal.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.js3250.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.LICENSE", "ResourceReportBuilder.Controls", null, false, false);
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.mozcrt19.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.nspr4.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.nspr-config", "ResourceReportBuilder.Controls", null, false, false);
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.nss3.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.nssckbi.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.nssdbm3.chk", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.nssdbm3.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.nssutil3.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.plc4.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.plds4.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.smime3.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.softokn3.chk", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.softokn3.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.sqlite3.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.ssl3.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.update.locale", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.xpcom.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.xul.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.chrome.classic.jar", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.chrome.classic.manifest", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.chrome.comm.jar", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.chrome.comm.manifest", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.chrome.en-US.jar", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.chrome.en-US.manifest", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.chrome.pippki.jar", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.chrome.pippki.manifest", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.chrome.toolkit.jar", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.chrome.toolkit.manifest", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.accessibility-msaa.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.accessibility.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.alerts.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.appshell.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.appstartup.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.autocomplete.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.autoconfig.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.caps.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.chardet.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.chrome.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.commandhandler.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.commandlines.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.composer.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.contentprefs.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.content_base.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.content_html.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.content_htmldoc.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.content_xmldoc.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.content_xslt.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.content_xtf.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.cookie.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.directory.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.docshell_base.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_base.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_canvas.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_core.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_css.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_events.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_geolocation.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_html.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_json.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_loadsave.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_offline.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_range.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_sidebar.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_storage.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_stylesheets.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_svg.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_threads.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_traversal.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_views.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_xbl.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_xpath.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.dom_xul.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.downloads.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.editor.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.embed_base.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.extensions.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.exthandler.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.exthelper.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.fastfind.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.FeedProcessor.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.feeds.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.find.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.gfx.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.htmlparser.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.imgicon.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.imglib2.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.inspector.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.intl.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.jar.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.jsconsole-clhandler.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.jsdservice.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.layout_base.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.layout_printing.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.layout_xul.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.layout_xul_tree.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.locale.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.loginmgr.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.lwbrk.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.mimetype.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.mozbrwsr.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.mozfind.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_about.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_cache.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_cookie.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_dns.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_file.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_ftp.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_http.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_res.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_socket.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_strconv.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_viewsource.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.necko_wifi.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.NetworkGeolocationProvider.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsAddonRepository.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsBadCertHandler.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsBlocklistService.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsContentDispatchChooser.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsContentPrefService.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsDefaultCLH.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsDownloadManagerUI.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsExtensionManager.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsHandlerService.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsHelperAppDlg.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsLivemarkService.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsLoginInfo.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsLoginManager.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsLoginManagerPrompter.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsPlacesDBFlush.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsPostUpdateWin.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsProgressDialog.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsProxyAutoConfig.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsSearchService.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsSearchSuggestions.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsTaggingService.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsTryToClose.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsUpdateService.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsURLFormatter.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsWebHandlerApp.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.nsXULAppInstall.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.oji.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.parentalcontrols.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.pipboot.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.pipnss.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.pippki.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.places.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.plugin.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.pluginGlue.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.pref.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.prefetch.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.profile.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.proxyObject.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.rdf.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.satchel.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.saxparser.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.shistory.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.spellchecker.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.storage-Legacy.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.storage-mozStorage.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.storage.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.toolkitprofile.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.toolkitsearch.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.txEXSLTRegExFunctions.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.txmgr.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.txtsvc.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.uconv.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.unicharutil.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.update.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.uriloader.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.urlformatter.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.webbrowserpersist.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.webBrowser_core.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.webshell_idls.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.widget.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.windowds.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.windowwatcher.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xpcom_base.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xpcom_components.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xpcom_ds.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xpcom_io.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xpcom_system.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xpcom_thread.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xpcom_xpti.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xpconnect.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xpinstall.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xulapp.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xulapp_setup.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xuldoc.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.xultmpl.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.components.zipwriter.xpt", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.defaults.autoconfig.platform.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.defaults.autoconfig.prefcalls.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.defaults.pref.xulrunner.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.defaults.profile.localstore.rdf", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.defaults.profile.chrome.userChrome-example.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.defaults.profile.chrome.userContent-example.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.defaults.profile.US.localstore.rdf", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.defaults.profile.US.chrome.userChrome-example.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.defaults.profile.US.chrome.userContent-example.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.dictionaries.en-US.aff", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.dictionaries.en-US.dic", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.greprefs.all.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.greprefs.security-prefs.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.greprefs.xpinstall.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.debug.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.DownloadLastDir.jsm", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.DownloadUtils.jsm", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.ISO8601DateUtils.jsm", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.Microformats.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.PlacesDBUtils.jsm", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.PluralForm.jsm", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.SpatialNavigation.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.utils.js", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.WindowDraggingUtils.jsm", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.modules.XPCOMUtils.jsm", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.plugins.npnul32.dll", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.arrow.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.arrowd.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.broken-image.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.charsetalias.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.charsetData.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.contenteditable.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.designmode.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.EditorOverride.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.forms.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.grabber.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.hiddenWindow.html", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.html.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.langGroups.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.language.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.loading-image.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.mathml.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.quirk.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.svg.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-column-after-active.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-column-after-hover.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-column-after.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-column-before-active.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-column-before-hover.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-column-before.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-row-after-active.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-row-after-hover.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-row-after.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-row-before-active.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-row-before-hover.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-add-row-before.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-remove-column-active.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-remove-column-hover.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-remove-column.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-remove-row-active.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-remove-row-hover.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.table-remove-row.gif", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.ua.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.viewsource.css", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.wincharset.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.dtd.mathml.dtd", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.dtd.xhtml11.dtd", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.entityTables.html40Latin1.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.entityTables.html40Special.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.entityTables.html40Symbols.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.entityTables.htmlEntityVersions.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.entityTables.mathml20.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.entityTables.transliterate.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.fonts.mathfont.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.fonts.mathfontStandardSymbolsL.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.fonts.mathfontSTIXNonUnicode.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.fonts.mathfontSTIXSize1.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.fonts.mathfontSymbol.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.fonts.mathfontUnicode.properties", "ResourceReportBuilder.Controls");
            ResManager.WriteToRelativePath("ResourceReportBuilder.Controls.Gecko.xulrunner_1_9_1_18.res.html.folder.png", "ResourceReportBuilder.Controls");
            #endregion

            string path = Path.Combine(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location), "Gecko\\xulrunner_1_9_1_18");
            Skybound.Gecko.Xpcom.Initialize(path);
        }
    }
}
