﻿
using System.IO;
namespace ResourceReportBuilder
{
    public class ScriptFile
    {
        public string Path { get; private set; }
        public string Content { get; set; }
        public string Size { get; private set; }

        public ScriptFile(string path)
        {
            Path = path;
            Size = Common.Utils.FormatBytes(new FileInfo(path).Length);
        }
    }
}
